Your submission was sent successfully! Close

USN-5658-1: DHCP vulnerabilities

5 October 2022

Several security issues were fixed in DHCP.

Releases

Packages

Details

It was discovered that DHCP incorrectly handled option reference counting.
A remote attacker could possibly use this issue to cause DHCP servers to
crash, resulting in a denial of service. (CVE-2022-2928)

It was discovered that DHCP incorrectly handled certain memory operations.
A remote attacker could possibly use this issue to cause DHCP clients and
servers to consume resources, leading to a denial of service.
(CVE-2022-2929)

Update instructions

The problem can be corrected by updating your system to the following package versions:

Ubuntu 22.04
Ubuntu 20.04
Ubuntu 18.04

In general, a standard system update will make all the necessary changes.

Related notices

  • USN-5658-2: isc-dhcp-dev, isc-dhcp-relay, isc-dhcp-server, isc-dhcp-client-ddns, isc-dhcp-server-ldap, isc-dhcp-common, isc-dhcp-client, isc-dhcp
  • USN-5658-3: isc-dhcp-dev, isc-dhcp-client-noddns, isc-dhcp-relay, isc-dhcp-server, isc-dhcp-server-ldap, isc-dhcp-common, isc-dhcp-client, isc-dhcp